Skip to content

Returns a engagement score from the system by its ID.

Request

This method will look up a engagement score by the specified ID and return it back.

Security
knox-authorizer
Path
tenantIdstringrequired

The id of the tenant being accessed.

idstringrequired

The ID of the engagement score to return.

Query
fieldsstring

The fields that you want to retrieve; if omitted, the entire object is returned.

consistentReadstring

Indicates the API should force a consistent read on the data source.

curl -i -X GET \
  'https://docs.api.rhythmsoftware.com/_mock/apis/rolodex/rolodex-v1/engagementScores/{tenantId}/{id}?fields=string&consistentRead=string' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The engagement score was retrieved successfully.

Headers
Access-Control-Allow-Headersstring
Access-Control-Allow-Methodsstring
Access-Control-Allow-Originstring
Bodyapplication/json
category_idstring(Category)

Engagement category

componentsArray of objects, non-emptyrequired
contact_idstring(Contact)required

The contact

customer_typestring(Customer Type)required
Enum:"contact""organization"
datestring(Date)required

The date of the score

date_of_first_engagementstring(Date Of First Engagement)

The date of the first engagement

engagement_model_idstring(Engagement Model)

The engagement model used to calculate this score

idstring(ID)^[\w:|-]+$required

The unique, string identifier of this engagement score

md5_hashstring(Md5 Hash)

A hash that prevents bulk routines from unnecessarily writing unchanged data

notesstring(Notes)
number_of_months_since_first_engagementnumber, (float)(Number Of Months Since First Engagement)

Number of months since first engagement

organization_idstring(Organization)required

The organization

percentile_ranknumber, (float)(Percentile Rank)

Where this person ranks

previous_year_percentile_ranknumber, (float)(Previous Year Percentile Rank)

The percentile rank for the previous year

previous_year_percentile_rank_changenumber, (float)(Previous Year Percentile Rank Change)

The change in percentile rank for the previous year

previous_year_scorenumber, (float)(Previous Year Score)

Score for the previous year

previous_year_score_percentage_changenumber, (float)(Previous Year Score Percentage Change)

Amount of change in absolute value from previous year score

previous_year_score_value_changenumber, (float)(Previous Year Score Value Change)

Amount of change in absolute value from previous year score

sys_bulk_load_atstring(Sys Bulk Load At)

If this record was loaded via bulk, the timestamp when the record was processed

sys_bulk_load_idstring(Sys Bulk Load)

If this record was loaded via bulk, the ID of the bulk load process

sys_bulk_load_pkstring(Sys Bulk Load Pk)

If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key

sys_bulk_load_record_nonumber, (float)(Sys Bulk Load Record No)

If this record was loaded via bulk, the record number in the source file

sys_bulk_load_source_filestring(Sys Bulk Load Source File)

If this record was loaded via bulk, the source file

sys_calculated_field_errorstring(Sys Calculated Field Error)

The error associated with the calculated field

sys_calculated_field_errorsArray of objects
sys_configuration_snapshot_idstring(Sys Configuration Snapshot)

If a snapshot was restored/applies to this record, the ID of the snapshot

sys_created_atstring, (date-time)(Sys Created At)required

The date/time that this record was created, expressed in ISO-8601 date format

sys_created_by_idstring(Sys Created By)required

The ID of the user that created this record

sys_deleted_by_idstring(Sys Deleted By)

The ID of the user that deleted (or last tried to delete) this object

sys_directivestring(Sys Directive)

Means for passing directive information into an object processing logic

sys_external_idstring(Sys External)

The ID that a record has from an external system or data import

sys_has_files_in_s3boolean(Sys Has Files In S3)

If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion

sys_last_bulk_data_operation_idstring(Sys Last Bulk Data Operation)

If this record was last touched by a bulk data operation, the ID of that operation

sys_last_bulk_data_operation_sys_versionstring(Sys Last Bulk Data Operation Sys Version)

If this record was last touched by a bulk data operation, the sys_version at the time of that operation

sys_last_modified_atstring, (date-time)(Sys Last Modified At)required

The date/time that this record record was last modified, expressed in ISO-8601 date format

sys_last_modified_by_idstring(Sys Last Modified By)required

The ID of the user that last modified this record

sys_last_security_contextobject(Sys Last Security Context)

The security context of the last insert, modify, or delete performed on this item

sys_lockedboolean(Sys Locked)

If set, this record is locked and cannot be changed via the API

sys_snapshot_base_versionnumber, (float)(Sys Snapshot Base Version)

The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox

sys_versionnumber, (float)(Sys Version)

A number representing the version of this record in the database

total_scorenumber, (float)(Total Score)required

The score

Response
{ "category_id": "string", "components": [ { … } ], "contact_id": "string", "customer_type": "contact", "date": "string", "date_of_first_engagement": "string", "engagement_model_id": "string", "id": "string", "md5_hash": "string", "notes": "string", "number_of_months_since_first_engagement": 0.1, "organization_id": "string", "percentile_rank": 0.1, "previous_year_percentile_rank": 0.1, "previous_year_percentile_rank_change": 0.1, "previous_year_score": 0.1, "previous_year_score_percentage_change": 0.1, "previous_year_score_value_change": 0.1, "sys_bulk_load_at": "string", "sys_bulk_load_id": "string", "sys_bulk_load_pk": "string", "sys_bulk_load_record_no": 0.1, "sys_bulk_load_source_file": "string", "sys_calculated_field_error": "string", "sys_calculated_field_errors": [ { … } ], "sys_configuration_snapshot_id": "string", "sys_created_at": "2019-08-24T14:15:22Z", "sys_created_by_id": "string", "sys_deleted_by_id": "string", "sys_directive": "string", "sys_external_id": "string", "sys_has_files_in_s3": true, "sys_last_bulk_data_operation_id": "string", "sys_last_bulk_data_operation_sys_version": "string", "sys_last_modified_at": "2019-08-24T14:15:22Z", "sys_last_modified_by_id": "string", "sys_last_security_context": {}, "sys_locked": true, "sys_snapshot_base_version": 0.1, "sys_version": 0.1, "total_score": 0.1 }